<!--
  ~ Licensed to the Apache Software Foundation (ASF) under one
  ~ or more contributor license agreements.  See the NOTICE file
  ~ distributed with this work for additional information
  ~ regarding copyright ownership.  The ASF licenses this file
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  ~
-->

Contributors of Apache MXNet
=========================================
Apache MXNet adopts the Apache way and governs by merit. We believe that it is important to create
an inclusive community where everyone can use, contribute to, and influence the direction of
the project. We actively invite contributors who have earned the merit to be part of the
development community. See [MXNet Community Guide](https://mxnet.apache.org/community/community).


PPMC
---
The Podling Project Management Committee (PPMC) is a group of active committers that moderate the
discussion, manage the project release, and appoint new committers and PPMC members. Here's the list of
PPMC members in alphabetical order by first name:

* [Anirudh Subramanian](https://github.com/anirudh2290)
* [Bing Xu](https://github.com/antinucleon)
  - Bing is the initiator and major contributor of operators and ndarray modules of MXNet.
* [Carin Meier](https://github.com/gigasquid)
  - Carin created and is the current maintainer for the Clojure interface.
* [Chiyuan Zhang](https://github.com/pluskid)
  - Chiyuan is the creator of MXNet Julia package.
* [Chris Olivier](https://github.com/cjolivier01)
* [Dick Carter](https://github.com/DickJC123)
* [Junyuan Xie](https://github.com/piiswrong)
* [Haibin Lin](https://github.com/eric-haibin-lin)
* [Henri Yandell](https://github.com/hen)
* [Hongliang Liu](https://github.com/phunterlau)
* [Indhu Bharathi](https://github.com/indhub)
* [Jackie Wu](https://github.com/wkcn)
* [Jian Zhang](https://github.com/jzhang-zju)
* [Joe Spisak](https://github.com/jspisak)
* [Jun Wu](https://github.com/reminisce)
* [Leonard Lausen](https://github.com/leezu)
* [Liang Depeng](https://github.com/Ldpe2G)
* [Ly Nguyen](https://github.com/lxn2)
* [Madan Jampani](https://github.com/madjam)
* [Marco de Abreu](https://github.com/marcoabreu)
  - Marco is the creator of the current MXNet CI.
* [Mu Li](https://github.com/mli)
  - Mu is the contributor of the distributed key-value store in MXNet.
* [Nan Zhu](https://github.com/CodingCat)
* [Naveen Swamy](https://github.com/nswamy)
* [Przemek Tredak](https://github.com/ptrendx)
* [Qiang Kou](https://github.com/thirdwing)
  - KK is a R ninja, he makes mxnet available for R users.
* [Qing Lan](https://github.com/lanking520)
* [Sandeep Krishnamurthy](https://github.com/sandeep-krishnamurthy)
* [Sergey Kolychev](https://github.com/sergeykolychev)
  - Sergey is original author and current maintainer of Perl5 interface.
* [Sheng Zha](https://github.com/szha)
* [Shiwen Hu](https://github.com/yajiedesign)
* [Tao Lv](https://github.com/TaoLv)
  - Tao is a major contributor to the MXNet MKL-DNN backend and performance on CPU.
* [Terry Chen](https://github.com/terrychenism)
* [Thomas Delteil](https://github.com/ThomasDelteil)
* [Tianqi Chen](https://github.com/tqchen)
  - Tianqi is one of the initiator of the MXNet project.
* [Tong He](https://github.com/hetong007)
  - Tong is the major maintainer of MXNet R package, he designs the MXNet interface and wrote many of the tutorials on R.
* [Tsuyoshi Ozawa](https://github.com/oza)
* [Xingjian Shi](https://github.com/sxjscience)
* [Yifeng Geng](https://github.com/gengyifeng)
* [Yizhi Liu](https://github.com/yzhliu)
  - Yizhi is the main creator on mxnet scala project to make deep learning available for JVM stacks.
* [Yu Zhang](https://github.com/yzhang87)
* [Yuan Tang](https://github.com/terrytangyuan)
  - Yuan is one of major maintainers of MXNet Scala package.
* [Yutian Li](https://github.com/hotpxl)
  - Yutian is the ninja behind the dependency and storage engine of MXNet.
* [Zhi Zhang](https://github.com/zhreshold)
* [Zihao Zheng](https://github.com/zihaolucky)
* [Ziheng Jiang](https://github.com/zihengjiang)
* [Ziyue Huang](https://github.com/ZiyueHuang)


Committers
----------
Committers are individuals who are granted write access to the project. A committer is usually
responsible for a certain area or several areas of the code where they oversee the code review
process. The area of contribution can take all forms, including code contributions and code
reviews, documents, education, and outreach. Committers are essential for a high quality and
healthy project. The PPMC actively seeks to appoint new committers from the list of contributors.

* [Aaron Markham](https://github.com/aaronmarkham)
* [Alex Zai](https://github.com/azai91)
* [Anirudh Acharya](https://github.com/anirudhacharya)
* [Anna Karbownik](https://github.com/akarbown)
* [Aston Zhang](https://github.com/astonzhang)
* [Bartłomiej Gawrych](https://github.com/bgawrych)
* [Chaitanya Bapat](https://github.com/ChaiBapchya)
* [Ciyong Chen](https://github.com/ciyongch)
* [Da Zheng](https://github.com/zheng-da)
* [Ding Kuo](https://github.com/chinakook)
* [Hao Jin](https://github.com/haojin2)
* [Haozheng Fan](https://github.com/hzfan)
* [Iblis Lin](https://github.com/iblis17)
* [Jeremie Desgagne-Bouchard](https://github.com/jeremiedb)
* [Jiajun Wang](https://github.com/arcadiaphy)
* [Junru Shao](https://github.com/junrushao1994)
* [Kedar Bellare](https://github.com/kedarbellare)
* [Kellen Sunderland](https://github.com/KellenSunderland)
* [Kevin Qin](https://github.com/ZhennanQin)
* [Lai Wei](https://github.com/roywei)
* [Lin Yuan](https://github.com/apeforest)
  - Lin supports MXNet distributed training using Horovod and is also a major contributor to higher order gradients.
* [Manu Seth](https://github.com/mseth10/)
* [Moises Hernandez](https://github.com/MoisesHer/)
* [Nicolas Modrzyk](https://github.com/hellonico)
* [Patric Zhao](https://github.com/pengzhao-intel)
  - Patric is a parallel computing expert and a major contributor to the MXNet MKL-DNN backend.
* [Przemysław Trędak](https://github.com/ptrendx)
* [Rahul Huilgol](https://github.com/rahul003)
* [Roshani Nagmote](https://github.com/roshrini)
* [Sam Skalicky](https://github.com/samskalicky)
* [Steffen Rochel](https://github.com/srochel)
* [Xi Wang](https://github.com/xidulu)
* [Yang Shi](https://github.com/ys2843)
* [Yuxi Hu](https://github.com/yuxihu)
* [Zach Kimberg](https://github.com/zachgk)
  - Zach is one of the major maintainers of the MXNet Scala package.
* [Zhaoqi Zhu](https://github.com/Zha0q1)


List of Contributors
--------------------
* [Top-100 Contributors](https://github.com/apache/mxnet/graphs/contributors)
  - To contributors: please add your name to the list when you submit a patch to the project:)
* [Aditya Trivedi](https://github.com/iadi7ya)
* [Feng Wang](https://github.com/happynear)
  - Feng makes MXNet compatible with Windows Visual Studio.
* [Jack Deng](https://github.com/jdeng)
  - Jack created the amalgamation script and Go bind for MXNet.
* [Li Dong](https://github.com/donglixp)
* [Piji Li](https://github.com/lipiji)
* [Boyuan Deng](https://github.com/bryandeng)
* [Junran He](https://github.com/junranhe)
  - Junran makes device kvstore allocation strategy smarter
* [Shuzhe Wu](https://github.com/II-Matto)
* [Xiaodong](https://github.com/XD-DENG)
* [Nan Xiao](https://github.com/road2stat)
* [Wei Wu](https://github.com/tornadomeet)
* [Michaël Benesty](https://github.com/pommedeterresautee)
  - Michaël contributes the R visualization module of MXNet
* [Kublai Jing](https://github.com/Kublai-Jing)
* [chenjx1005](https://github.com/chenjx1005)
* [ry](https://github.com/ry)
* [Ming Zhang](https://github.com/starimpact)
* [sxjscience](https://github.com/sxjscience)
* [Zheng Xu](https://github.com/XericZephyr)
* [Valentin Churavy](https://github.com/vchuravy)
* [Luke Metz](https://github.com/lukemetz)
* [Guosheng Dong](https://github.com/dongguosheng)
* [yang1fan2](https://github.com/yang1fan2)
* [Wang Gu](https://github.com/wangg12)
* [Zhenchuan Huang](https://github.com/chuan92)
* [Hang Su](https://github.com/suhangpro)
* [Rinu Boney](https://github.com/rinuboney)
* [nowozin](https://github.com/nowozin)
* [Mathis](https://github.com/sveitser)
* [sennendoko](https://github.com/sennendoko)
* [srand99](https://github.com/srand99)
* [Taiyun](https://github.com/taiyun)
* [Yanghao Li](https://github.com/lyttonhao)
* [Ye Zhou](https://github.com/zhouye)
* [Zhang Chen](https://github.com/zhangchen-qinyinghua)
* [Xianliang Wang](https://github.com/wangxianliang)
* [Xiao Liu](https://github.com/skylook)
* [Lowik CHANUSSOT](https://github.com/Nzeuwik)
* [Alexander Skidanov](https://github.com/SkidanovAlex)
* [Ruixiang Zhang](https://github.com/sodabeta7)
* [Lodewic van Twillert](https://github.com/Lodewic)
* [Aditya Kumar](https://github.com/hiraditya)
* [Dan Becker](https://github.com/dansbecker)
* [Yun Yan](https://github.com/Puriney)
* [Tao Wei](https://github.com/taoari)
* [Max Kuhn](https://github.com/topepo)
* [Yuqi Li](https://github.com/ziyeqinghan)
* [Kiko Qiu](https://github.com/kikoqiu)
* [Yang Bo](https://github.com/Atry)
* [Jonas Amaro](https://github.com/jonasrla)
* [Yan Li](https://github.com/Godricly)
* [Yuance Li](https://github.com/liyuance)
* [Andre Moeller](https://github.com/andremoeller)
* [Miguel Gonzalez-Fierro](https://github.com/miguelgfierro)
* [Mingjie Xing](https://github.com/EricFisher)
* [Sebastian Bodenstein](https://github.com/sbodenstein)
* [Taliesin Beynon](https://github.com/taliesinb)
* [Chi Zhang](https://github.com/WellyZhang)
* [Wei Wu](https://github.com/lazyparser)
* [Shishi Duan](https://github.com/burness)
* [Yu Du](https://github.com/Answeror)
* [Xu Dong](https://github.com/dsqx71)
* [Chihiro Komaki](https://github.com/ckomaki)
* [Piyush Singh](https://github.com/Piyush3dB)
* [Freddy Chua](https://github.com/freddycct)
* [Jie Zhang](https://github.com/luoyetx)
* [Robert Stone](https://github.com/tlby)
* [Pedro Larroy](https://github.com/larroy)
* [Dom Divakaruni](https://github.com/domdivakaruni)
* [David Salinas](https://github.com/geoalgo)
* [Asmus Hetzel](https://github.com/asmushetzel)
* [Chetan Khatri](https://github.com/chetkhatri/)
* [James Liu](https://github.com/jamesliu/)
* [Nir Ben-Zvi](https://github.com/nirbenz/)
* [Arik Poznanski](https://github.com/arikpoz/)
* [Yuwen Xiong](https://github.com/Orpine/)
* [Haozhi Qi](https://github.com/Oh233/)
* [Yi Li](https://github.com/liyi14/)
* [Guodong Zhang](https://github.com/gd-zhang/)
* [Xizhou Zhu](https://github.com/einsiedler0408/)
* [Jean Kossaifi](https://github.com/JeanKossaifi/)
* [Kenta Kubo](https://github.com/kkk669/)
* [Calum Leslie](https://github.com/calumleslie)
* [Andre Tamm](https://github.com/andretamm)
* [Julian Salazar](https://github.com/JulianSlzr)
* [Meghna Baijal](https://github.com/mbaijal)
* [Tao Hu](https://github.com/dongzhuoyao)
* [Sorokin Evgeniy](https://github.com/TheTweak)
* [dwSun](https://github.com/dwSun/)
* [David Braude](https://github.com/dabraude/)
* [Nick Robinson](https://github.com/nickrobinson)
* [Zheqin Wang](https://github.com/rasefon)
* [Thom Lane](https://github.com/thomelane)
* [Sina Afrooze](https://github.com/safrooze)
* [Sergey Sokolov](https://github.com/Ishitori)
* [Jesse Brizzi](https://github.com/jessebrizzi)
* [Hang Zhang](http://hangzh.com)
* [Kou Ding](https://github.com/chinakook)
* [Istvan Fehervari](https://github.com/ifeherva)
* [Per Goncalves da Silva](https://github.com/perdasilva)
* [Zhijingcheng Yu](https://github.com/jasonyu1996)
* [Cheng-Che Lee](https://github.com/stu1130)
* [LuckyPigeon](https://github.com/LuckyPigeon)
* [Anton Chernov](https://github.com/lebeg)
* [Denisa Roberts](https://github.com/D-Roberts)
* [Rahul Padmanabhan](https://github.com/rahul3)
* [Harsh Patel](https://github.com/harshp8l)
* [Xiao Wang](https://github.com/BeyonderXX)
* [Piyush Ghai](https://github.com/piyushghai)
* [Dang Trung Kien](https://github.com/kiendang)
* [Zach Boldyga](https://github.com/zboldyga)
* [Gordon Reid](https://github.com/gordon1992)
* [Mikhail Lobanov](https://github.com/lobanov-m)
* [Ming Yang](http://ufoym.com)
* [Satya Krishna Gorti](https://github.com/satyakrishnagorti)
* [Neo Chien](https://github.com/cchung100m)
* [Wujie Zhou](https://github.com/eureka7mt)
* [Hao Li](https://github.com/lihaofd)
* [Jin Huang](https://github.com/jinhuang415)
* [Luobao Zou](https://github.com/luobao-intel)
* [Pengxin Yuan](https://github.com/pengxin99)
* [Rong Zhang](https://github.com/rongzha1/)
* [Shu Zhang](https://github.com/Sherry-Zhang)
* [Shufan Wu](https://github.com/juliusshufan)
* [Wenting Jiang](https://github.com/wentingj)
* [Xiaotao Chen](https://github.com/XiaotaoChen)
* [Xinyu Chen](https://github.com/xinyu-intel)
* [Zhennan Qin](https://github.com/ZhennanQin)
* [Zhiyuan Huang](https://github.com/huangzhiyuan)
* [Zak Jost](https://github.com/zjost)
* [Nick Guletskii](https://github.com/nickguletskii)
* [Shoubhik Bhattacharya](https://github.com/shoubhik)
* [Rohit Srivastava](https://github.com/access2rohit)
* [Caner Turkmen](https://github.com/canerturkmen)
* [Disi A](https://github.com/adis300)
* [Vandana Kannan](https://github.com/vandanavk)
* [Guanxin Qiao](https://github.com/guanxinq)
* [dithyrambe](https://github.com/dithyrambe)
* [Piljae Chae](https://github.com/IHateMint)
* [Jonathan Tan](https://github.com/jonatan1626)
* [Oliver Kowalke](https://github.com/olk)
* [Connor Goggins](https://github.com/connorgoggins)
* [Wei Chu](https://github.com/waytrue17)
* [Joe Evans](https://github.com/josephevans)
* [Nikolay Ulmasov](https://github.com/r3stl355)
* [Paweł Głomski](https://github.com/PawelGlomski-Intel)
* [Andrzej Kotlowski](https://github.com/anko-intel)
* [Yingxiao Du](https://github.com/Duconnor)
* [Bartosz Kuncer](https://github.com/bartekkuncer)
* [Maria Boerner](https://github.com/mariaboerner1987)
* [Zhenghui Jin](https://github.com/barry-jin)
* [Dominika Jedynak](https://github.com/DominikaJedynak)
* [Adam Grabowski](https://github.com/agrabows)
* [Kacper Pietkun](https://github.com/Kacper-Pietkun)
* [Hanna Jarlaczyńska](https://github.com/hankaj)

Label Bot
---------
* [mxnet-label-bot](https://github.com/mxnet-label-bot)
  - mxnet-label-bot provides users with the functionality to manage labels for Issues/Pull Requests on the repository
  - To use me, comment:
    - @mxnet-label-bot add [specify comma separated labels here]
    - @mxnet-label-bot remove [specify comma separated labels here]
    - @mxnet-label-bot update [specify comma separated labels here]
      (i.e. @mxnet-label-bot update [Bug, Python])

  - Available label names which are supported: [Labels](https://github.com/apache/mxnet/labels)
  - For further details: [My Wiki Page](https://cwiki.apache.org/confluence/display/MXNET/Machine+Learning+Based+GitHub+Bot)
